<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type"><title>Related Utilities</title>

<meta content="Rolf Keitel" name="author">
</head>
<body>
<h2><a name="Related_Utilities">Related Utilities</a></h2>
<h3>Database Comparison</h3>
The Perl tool DbCompare.pl allows comparison of sets of EPICS run-time
databases files. DbCompare performs a "
functional" comparison of the database records
using information
from db files.<br>
<br>
It reports differences in <br>
<ul>
<li>records</li>
<li>field values</li>
<li>record aliases</li>
<li>info nodes</li>
</ul>
New: DbCompare is now compatible with EPICS 7 &nbsp;(7.0.3)<br>
<br>
<br>
<span style="font-weight: bold;">Files</span><br>
<br>
The tools consists of&nbsp;<br>
<ul>
<li>the Perl script DbCompare.pl</li>
<li>the Perl module Dbd::Parser.pm &nbsp;(file Parser.pm)</li>
</ul>
Note that&nbsp;Parser.pm must be installed &nbsp;so that it can
be found by the Perl use statement<br>
&nbsp; &nbsp; <span style="font-family: monospace;">use
Dbd::Parser;</span><br>
<br>
</body></html>